Subject: "Access denied" error when editing an gridelements content element as non-admin user (TYPOQ3 6.2.4)
Description

Since the Update of TYPOS 6.2.4 the backend users that haven't got admin rights can only edit the first gridelements item on a page.
For the others, a message appears saying "Sie haben nicht die notigen Rechte, um diese Anderung durchzufiihren."
If | move the second gridelement to the top, the item can be edited (but the other not anymore..)

TYPOS3 6.2.3 workes fine.

Related issues:

related to Grid Elements - Bug # 60363: Backend Hook "preProcess" causes Java... Rejected 2014-07-16
related to Core - Bug # 60199: Page module: tt_content records are not editable Resolved 2014-07-09
duplicates Grid Elements - Bug # 60194: Bug with 6.2.4 Resolved 2014-07-09

History

#1 - 2014-07-14 13:27 - Jo Hasenau
- Status changed from New to Needs Feedback

Is this really happening for non admin users only?
Actually this bug was introduced by a change in the TYPOS core and has been fixed in current master already.
So could you please check, if you got tha latest repository version and if it happens for admin users as well?

#2 - 2014-07-14 14:27 - Christian von Rohr

You are right - this occurs as well if I'm logged in as admin.

With the latest version of the GIT repo, its partially fixed. All elements that are directely on the page are now working.

But content elements that are in a gridelement (grid in grid) have the same issue (after the first gridelement-CE the CEs beyond are not editable).
If | edit from the list mode, its working.

What | saw is, that the generated links for editing are wrong:
Link from List mode (working): [...]&edit[tt_content][132]=edit

Link from Web mode, top-level (working with latest GIT version): [...]&edit[tt_content][133,]=edit
Link from Web mode, in-gridelement (not working): [...]&edit[tt_content][]=edit

#3 - 2014-07-14 15:03 - Jo Hasenau
Same problem as with #60194 just on another nesting level.

#4 - 2014-07-14 15:03 - Jo Hasenau
- Status changed from Needs Feedback to Accepted

#5 - 2014-07-21 15:58 - Jo Hasenau

- Category set to Can not reproduce

- Status changed from Accepted to Needs Feedback
- Assigned To set to Christian von Rohr

| can not reproduce the described behaviour with the current master.

Are you sure, you updated the sources to the latest repo version?

Could you please provide the backend layouts and grid element layouts you are using, so we might be able to reproduce it?
#6 - 2014-07-21 16:25 - Christian von Rohr

| took again the latest git repo version and same behaviour.

But seems to work with a grid element that has rows & columns configuration set.

Its used as flexible content element (accordion).

Grid Configuration NOT working:

backend_layout {

colCount=0
rowCount = 0
rows {

}

Grid Configuration working:

backend_layout {
colCount =0
rowCount = 0
rows {
1
columns {

}

#7 - 2014-07-21 16:38 - Jo Hasenau
- Status changed from Needs Feedback to Closed
So the problem is, that you can not edit elements that are attached via flexform fields?

Then you should report this issue in the core tracker, since this is nothing handled by Gridelements, but related to any other extensions making use of
the pi_flexform field.

The additional setup of at least 1 row and 1 column could be a workaround though, since this will trigger Gridelements handling and the fix we already

implemented there.

BTW: Why are you using a flexform for an accordion at all? Usually this should be done like this:

http://manuals.cmsbox.de/extensions/gridelements/nestable-accordion/

The flexform contains only configurations like "activate accordion" and the content is provided by child elements.

#8 - 2014-07-21 16:59 - Christian von Rohr

As soon as there is no row defined (" row { 1 {} }") this error occurs.. doesn't matter if a flexform is attached or not.

This workaround is ok for me. Maybe you could document that somewhere.

We use flexforms for accordion as its easier for the user. they get puzzled if a CE is within a accordion grid which is in a 50-50 grid and dont know

which pencil they have to press to edit what.. But for some scenarios we use it like that.

Thanks a lot for your fast responses and the awesome extension..

#9 - 2014-07-21 17:45 - Jo Hasenau

Could you take a look at the current master - | pushed a new version with the core patch fix moved one level up, so it should work without a row as

well.

2015-08-04 3/3


http://manuals.cmsbox.de/extensions/gridelements/nestable-accordion/

